Bug 126630 - bootstrap script: faulty httpd proxy logic
bootstrap script: faulty httpd proxy logic
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Server (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Robin Norwood
Vlady Zlatkin
:
Depends On:
Blocks: 168311
  Show dependency treegraph
 
Reported: 2004-06-23 18:51 EDT by Richard Keech
Modified: 2013-07-03 09:05 EDT (History)
2 users (show)

See Also:
Fixed In Version: rhn401
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-20 19:22:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Richard Keech 2004-06-23 18:51:44 EDT
Description of problem:

The bootstrap script fails where the client system was previously
connected to RHN via a proxy.


Version-Release number of selected component (if applicable):

RHN Satellite 3.2 (build 12 iso).


Actual results:

I see that the bootstrap script fails to allow the client
to register to the satellite because "enableProxy" in 
/etc/sysconfig/rhn/up2date has not been reset.


Expected results:

Bootstrap script should reset "enableProxy" value, thereby
allow the client system to connect to the proxy.


Additional info:
Comment 1 Todd Warner 2004-06-29 17:23:55 EDT
Via an *HTTP* proxy, right?
Comment 2 Richard Keech 2004-06-29 20:30:19 EDT
Yes, the previous client connection was via a regular web proxy cache.

And "Bootstrap script should reset enableProxy value, thereby
allow the client system to connect to the _proxy_." should have read
"Bootstrap script should reset enableProxy value, thereby
allow the client system to connect to the _satellite_"





Comment 3 Todd Warner 2004-07-28 11:02:12 EDT
Fixed in rhn350sat
At least in the commandline version of bootstrap stuff.
Double-checking the installer...
Comment 4 Todd Warner 2004-07-28 16:14:20 EDT
Ok... changed again.
With the new rhn-bootstrap utility you *must* explicitely state your
HTTP proxy values: "" means OFF "XXX:PORT" means on. The same goes for
username and password "" means off and "USERNAME" means on.

--overrides --client-version and --script have been added for more
control at the commandline.

So...
rhn-bootstrap --http-proxy="" --client-version=2 
--overrides=/var/www/html/pub/bootstrap/client-config-overrides-RHEL2.1.txt
--script=/var/www/html/pub/bootstrap/boostrap-RHEL2.1.sh

rhn-bootstrap --http-proxy="" --client-version=4 
--overrides=/var/www/html/pub/bootstrap/client-config-overrides-RHEL3.txt
--script=/var/www/html/pub/bootstrap/boostrap-RHEL3.sh

...are good examples of how to use this.

Punting to rnorwood to finish up the installer portion of this.
Comment 5 Todd Warner 2004-07-28 18:32:31 EDT
Additional note:

--http-proxy has to be set to either "" or "HOSTNAME:PORT"
"" == http proxy is disabled

If it is set to something,
--http-proxy-username has to be set to "" or "SOME_USERNAME"
"" == auth is disabled

If that is set to something,
--http-proxy-password has to be set to "SOME_PASSWORD"

If you think about it for a second it all makes sense.
Comment 6 Robin Norwood 2004-07-29 17:33:25 EDT
Ok - now we are calling rhn-bootstrap properly.

Test plan:

Run the satellite installer, and ensure that the proper bootstrap
files are created:

/var/www/html/pub/bootstrap/boostrap-RHEL2.1.sh
/var/www/html/pub/bootstrap/boostrap-RHEL3.sh

And ensure that they contain the correct settings for the options you
specified during the install.
Comment 7 Max Spevack 2005-10-11 14:54:48 EDT
assigning QA contact based on our latest component ownership
Comment 8 Robin Norwood 2005-10-17 13:11:27 EDT
This bug was fixed long ago, but we should go ahead and qa it for appearences sake.
Comment 9 Robin Norwood 2005-10-17 13:26:31 EDT
Guessing rhn360
Comment 10 Vlady Zlatkin 2005-10-17 14:23:25 EDT
prod ready, enableProxy{,Auth} are correctly reset

Note You need to log in before you can comment on or make changes to this bug.